PostgresWrapperFactory
Keywords: uk.ac.ic.doc.automed.wrappers.PostgresWrapperFactory,PostgresWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.wrappers
Class PostgresWrapperFactory

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
            |
            +--uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
                  |
                  +--uk.ac.ic.doc.automed.wrappers.PostgresWrapperFactory

public class PostgresWrapperFactory
extends SQLWrapperFactory

A lower level wrapper factory for Postgres SQL databases conforming to the AutoMed SQL high level wrapper factory.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`AUTOMED_SQL_MODEL_FIELD, AUTOMED_SQL_MODEL_FOREIGN_KEY, AUTOMED_SQL_MODEL_INDEX, AUTOMED_SQL_MODEL_PRIMARY_KEY, AUTOMED_SQL_MODEL_TABLE, DATA_SIZE, DATA_TYPE, FIELD_POSITION, FOREIGN_KEY, INDEX, NULL_CONSTRAINT, PRIMARY_KEY, SQL_MODEL_FOREIGN_KEY, SQL_MODEL_INDEX, SQL_MODEL_PRIMARY_KEY, SQL_MODEL_TABLE`

Constructor Summary
`PostgresWrapperFactory()`

Method Summary
`SQLWrapper` | `build(java.lang.String username, java.lang.String password, java.lang.String driver, java.lang.String url, java.lang.String schemaName)` Create an AutoMed `Schema` containing `SchemaObject`s that represent a database, in such a form that queries on that schema can be mapped by executeQuery in the query lanuage of the database.

Methods inherited from class uk.ac.ic.doc.automed.wrappers.SQLWrapperFactory
`createAutoMedModel, createAutoMedSchema, createSQLModel, getAutoMedModel, getAutoMedModelName, getFeatures, getModel, getModelName, isFeatureInUse, setBaseName, setFeatures`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresWrapperFactory

    public PostgresWrapperFactory()

Method Detail

### build

    public SQLWrapper build(java.lang.String username,
                            java.lang.String password,
                            java.lang.String driver,
                            java.lang.String url,
                            java.lang.String schemaName)
                     throws IntegrityException,
                            DataSourceException

  Create an AutoMed `Schema` containing `SchemaObject`s that represent a database, in such a form that queries on that schema can be mapped by executeQuery in the query lanuage of the database. This should be called once per database, so as to configure the repository. Subsequent uses of the database should call the constructor for PostgresWrapper with the `AccessMethod` of the PostgresWrapper returned here.

  Specified by:
    `build` in class `SQLWrapperFactory`
    `IntegrityException`
    `DataSourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD